Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationFax

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationFax

extends java.rmi.Remote

To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Method Summary
`java.lang.String` | `getConnector()`
`int` | `getDialing()`
`int` | `getFlowCommand()`
`int` | `getFlowControl()`
`java.lang.String` | `getInitString()`
`int` | `getMaxRetries()`
`int` | `getModemClass()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPort()`
`java.lang.String` | `getServerIP()`
`int` | `getServerPort()`
`java.lang.String` | `getSpecParameters()`
`int` | `getTimeOut()`
`java.lang.String` | `getUserID()`
`java.lang.String` | `getUserName()`
`void` | `setConnector(java.lang.String connector)`
`void` | `setDialing(int dialing)`
`void` | `setFlowCommand(int flowCommand)`
`void` | `setFlowControl(int flowControl)`
`void` | `setInitString(java.lang.String initString)`
`void` | `setMaxRetries(int maxRetries)`
`void` | `setModemClass(int modemClass)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPort(java.lang.String port)`
`void` | `setServerIP(java.lang.String serverIP)`
`void` | `setServerPort(int serverPort)`
`void` | `setSpecParameters(java.lang.String parameters)`
`void` | `setTimeOut(int timeOut)`
`void` | `setUserID(java.lang.String userID)`
`void` | `setUserName(java.lang.String userName)`
`void` | `setViaFaxServer(boolean viaFaxServer)`
`boolean` | `viaFaxServer()`

Method Detail

### setDialing

    void setDialing(int dialing)
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getDialing

    int getDialing()
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setModemClass

    void setModemClass(int modemClass)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getModemClass

    int getModemClass()
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setFlowControl

    void setFlowControl(int flowControl)
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getFlowControl

    int getFlowControl()
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setFlowCommand

    void setFlowCommand(int flowCommand)
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getFlowCommand

    int getFlowCommand()
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setPort

    void setPort(java.lang.String port)
                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getPort

    java.lang.String getPort()
                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setInitString

    void setInitString(java.lang.String initString)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getInitString

    java.lang.String getInitString()
                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setViaFaxServer

    void setViaFaxServer(boolean viaFaxServer)
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### viaFaxServer

    boolean viaFaxServer()
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setConnector

    void setConnector(java.lang.String connector)
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getConnector

    java.lang.String getConnector()
                                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setServerIP

    void setServerIP(java.lang.String serverIP)
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getServerIP

    java.lang.String getServerIP()
                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setServerPort

    void setServerPort(int serverPort)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getServerPort

    int getServerPort()
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setUserID

    void setUserID(java.lang.String userID)
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getUserID

    java.lang.String getUserID()
                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setPassword

    void setPassword(java.lang.String password)
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getPassword

    java.lang.String getPassword()
                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setUserName

    void setUserName(java.lang.String userName)
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getUserName

    java.lang.String getUserName()
                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setSpecParameters

    void setSpecParameters(java.lang.String parameters)
                           throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getSpecParameters

    java.lang.String getSpecParameters()
                                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setTimeOut

    void setTimeOut(int timeOut)
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getTimeOut

    int getTimeOut()
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setMaxRetries

    void setMaxRetries(int maxRetries)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getMaxRetries

    int getMaxRetries()
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD